imports:
  - { resource: ../common.yml }
services:
  ec-product-form-modifier:
    autowire: true
    public: true
    class: Edgecraft\Form\Modifier\EcProductFormModifier
    arguments:
      - '@form.form_builder_modifier'
      - '@ec-product-repository'
      - '@ec-brand-feature-repository'
      - '@ec-product-brand-feature-repository'
  product-hook-handler:
    public: true
    class: Edgecraft\Hook\EcProductHookHandler
    arguments:
      - '@ec-product-form-modifier'
      - '@ec-product-repository'
      - '@ec-product-brand-feature-repository'
      - '@ec-brand-feature-repository'
